EDIT - bug #7783

NamePopupEditor new buttons for genus and species
09/21/2018 01:25 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal Found in Version:

Description

For species the genus can only be selected from existing genera. In order to use a not existing genus it is currently required to start a
new registration from scratch. Having a new button at the combobox would be much more convenient and is easier for inexperienced
users. The same accounts for the species combobox.

A registration for the new name needs to be create also automatically. This registration should be a blocking registration to the
registration being edited currently.

Related issues:
Related to EDIT - bug #7630: blocking registration relations get lost after s... Closed
Copied to EDIT - bug #7845: NamePopupEditor new Genus button should clear the... Closed

Associated revisions

Revision 2d25257c - 09/24/2018 12:14 PM - Andreas Kohlbecker
ref #7783 implementing WeaklyRelatedEntityCombobox according PagingProvider

Revision 98c2f401 - 09/24/2018 05:48 PM - Andreas Kohlbecker
ref #7783 using WeaklyRelatedEntityCombobox in TaxonNameEditor: add, edit buttons working and enabled state updating ok

Revision 5055127f - 09/25/2018 09:55 AM - Andreas Kohlbecker

ref #7783, ref #7630 fixing creation of blocking relations (was broken since commit:f6d73035

Revision de9f5331 - 09/25/2018 10:02 AM - Andreas Kohlbecker

ref #7783 TaxonNamePart with uuid & assuring registrations have an identifier when saved

Revision 9ccb5ab6 - 09/25/2018 11:04 AM - Andreas Kohlbecker

ref #7783 assuring registrations have an identifier when saved - adapting test

History

#1 - 09/25/2018 09:59 AM - Andreas Kohlbecker
- Status changed from New to Resolved
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 50

completed now, please review

#2 - 09/25/2018 10:00 AM - Andreas Kohlbecker

- Related to bug #7630: blocking registration relations get lost after saving adding a typedesignation to a newly created "typification only" registration

added

#3 - 10/23/2018 01:05 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

Button new exists for genus, but seems to be without function (same form reloaded).
Functionallity for genus and species is highly appreciated.
#4 - 10/23/2018 01:16 PM - Wolf-Henning Kusber

Correction: Button new exists for genus, a new form is loaded. It should be pre-selected as "genus" or "species" respectively. For users it is not clear
that this form is for entering the missing name.

#5 - 10/23/2018 01:42 PM - Andreas Kohlbecker

- Copied to bug #7845: NamePopupEditor new Genus button should clear the genus name field in the new editor added

#6 - 10/23/2018 01:49 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

Wolf-Henning Kusber wrote:

It should be pre-selected as "genus" or "species" respectively.

it works exactly like that!

For users it is not clear that this form is for entering the missing name.

This will be solved by #7846
